#!/bin/sh
#
DI_RETIRE="/opt/HAC/RSF-1/bin/di_retire"
DI_UNRETIRE="/opt/HAC/RSF-1/bin/di_unretire"
VHA="/opt/HAC/RSF-1/bin/vha"

EXIT_CODE=0
OPERATION=$1
LOG=/opt/HAC/RSF-1/log/rsfsysevent_handler.log

case "${OPERATION}" in
    "retire")
        DEVICE=${2}
        DEVID=${3:--}
        /opt/HAC/RSF-1/bin/res_drive_retire.sh retire ${DEVICE} ${DEVID} >> ${LOG} 2>&1
        ;;
    "unretire")
        DEVICE=${2}
        DEVID=${3:--}
        /opt/HAC/RSF-1/bin/res_drive_retire.sh unretire ${DEVICE} ${DEVID} >> ${LOG} 2>&1
        ;;
    "node-recover")
        NODE=${2}
        /opt/HAC/RSF-1/bin/metro_partition_recovery.sh ${NODE} >> ${LOG} 2>&1
        ;;
    #
    # Received a device retire from another cluster node - issue the retire
    # locally
    "retire-from-remote")
	DEVICE=${2}
	DEVID=${3}
	echo "Retiring device ${DEVICE} ${DEVID}" >> ${LOG}
	${DI_RETIRE} ${DEVICE} >> ${LOG} 2>&1
	;;

    #
    # Received a device retire from another cluster node - issue the retire
    # locally
    "unretire-from-remote")
	DEVICE=${2}
	DEVID=${3}
	echo "UnRetiring device ${DEVICE} ${DEVID}" >> ${LOG}
	${DI_UNRETIRE} ${DEVICE} >> ${LOG} 2>&1
	;;

    "check-devices")
        echo "Checking reservations" >> ${LOG}
        /opt/HAC/RSF-1/bin/res_drive_monitor.py >> ${LOG} 2>&1
        ;;

    #
    # Check the connection to vCenter.
    # At the same time also update the cached entries.
    "check-vcenter")
	${VHA} --test-connection --update-cache
	EXIT_CODE=$?
	;;
esac

exit ${EXIT_CODE}
