/**
 * Example rsfapi code to connect to local cluster and list
 * cluster node members.
 *
 * For Solaris/G++ use the following to compile/link.
 *
 *   g++ -I/opt/HAC/RSF-1/include -Irsflib -L/opt/HAC/RSF-1/lib api_example_nodes.cpp -lrsfapi -lsocket -o api_example_nodes
 * 
 * The latest documentation for the API library can be found at:
 * 
 *   http://www.high-availability.com/API_Doc/RSF_API/
 */
#define USE_RSFLIB_INCLUDES

#include <librsfapi.h>

using namespace std;

int main (void){
  WhichNode wn;
  Cluster cl;
  Node nd;

  rsf1::rsf.readrsf("127.0.0.1");

  cout << "Currently connected to " << wn.getHostName() << " [" << wn.getHostIP() << "]\n" << endl;
  cout << "Cluster Node List:" << endl;

  for(int x = 0; x < cl.getNodeCount(); x++) {
    printf("\t[%i]. %s [%s]\n", x, nd.getMachineName(x), nd.getIP(x));
  }

  return 0;
}
