/**
 *
 * RSF-1 is provided with an API library that can be linked against and then used to perform
 * cluster configuration operations (such as adding/removing heartbeats, options etc).
 * 
 * To use the API library include <librsfcdb.h> in your source code and link against the API
 * library. The include file is located in  /opt/HAC/RSF-1/include and the library itself is
 * located in /opt/HAC/RSF-1/lib.
 *
 * Below is example code to provide a command line interface to the database functions.
 *
 * There is an example piece of code  "/opt/HAC/RSF-1/docs/cdb_example_cli.cpp"  to use as a
 * starting point. To build the example (on Solaris using g++) run:
 * 
 *   g++ -I/opt/HAC/RSF-1/include -L/opt/HAC/RSF-1/lib cdb_example_cli.cpp -lrsfcdb -lgdbm -ljansson -o cdb_example_cli
 *
 * The latest documentation for the API library can be found at:
 * 
 *   http://www.high-availability.com/API_Doc/CDB_API/
 *
 */
#include <librsfcdb.h>

using namespace std;

int main(int argc, char* argv[]) {
    return cli.cmd_line(argc, argv);
}
